跳到主要內容

已不再支援此瀏覽器。

請升級至 Microsoft Edge,以利用最新功能、安全性更新和技術支援。

下載 Microsoft Edge Internet Explorer 和 Microsoft Edge 的詳細資訊
microsoft-foundry.rest.security.o-auth2-auth

Routines

Enable a routine

POST /routines/{routine_name}:enable

Enables the specified routine so it can be dispatched.

標頭參數

Foundry-Features enum

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Routines=V2Preview

路徑參數

routine_name string 必要

The unique name of the routine.

查詢參數

api-version string 必要

The API version to use for this operation.

回覆

The request has succeeded.

主體

Content-Type: application/json
name string

The routine name.

description string

A human-readable description of the routine.

enabled boolean 必要

Whether the routine is enabled.

triggers object

The triggers configured for the routine.

[key: string] schedule | timer | github_issue | custom

Base model for a routine trigger.

下列其中一項:
schedule ScheduleRoutineTrigger

A recurring cron-based routine trigger.

type enum 必要

The trigger type.

schedule
cron_expression string 必要

A 5-field cron expression. The service enforces a minimum interval of five minutes by default.

time_zone string 必要

An IANA or Windows time zone identifier for the schedule.

timer TimerRoutineTrigger

A one-shot timer routine trigger.

type enum 必要

The trigger type.

timer
at integer
github_issue GitHubIssueRoutineTrigger

A GitHub issue routine trigger.

type enum 必要

The trigger type.

github_issue
connection_id string 必要

The workspace connection identifier that resolves the GitHub configuration for the trigger.

owner string 必要

The GitHub owner or organization that scopes which issues can fire the trigger.

repository string 必要

The GitHub repository filter that scopes which issues can fire the trigger.

issue_event string | enum 必要

Known GitHub issue events that can fire a routine.

以下任何一項:
string
enum
openedclosed
custom CustomRoutineTrigger

A custom event routine trigger.

type enum 必要

The trigger type.

custom
provider string 必要

The external provider that emits the custom event.

event_name string

The provider-specific event name that fires the routine.

parameters object 必要

Provider-specific trigger parameters.

action invoke_agent_responses_api | invoke_agent_invocations_api

Base model for a routine action.

下列其中一項:
invoke_agent_responses_api InvokeAgentResponsesApiRoutineAction

Dispatches a routine through the responses API. Exactly one of agent_name or agent_endpoint_id must be provided.

type enum 必要

The action type.

invoke_agent_responses_api
agent_name string

The project-scoped agent name for routine dispatch.

agent_endpoint_id string

Legacy endpoint-scoped agent identifier for routine dispatch.

input InvokeAgentResponsesApiRoutineAction

Static JSON value sent as the complete downstream input when the routine fires. The value is passed through as-is; no templating is applied.

conversation string

An optional existing conversation identifier to continue during the downstream dispatch.

invoke_agent_invocations_api InvokeAgentInvocationsApiRoutineAction

Dispatches a routine through the raw invocations API. Exactly one of agent_name or agent_endpoint_id must be provided.

type enum 必要

The action type.

invoke_agent_invocations_api
agent_name string

The project-scoped agent name for routine dispatch.

agent_endpoint_id string

Legacy endpoint-scoped agent identifier for routine dispatch.

input InvokeAgentInvocationsApiRoutineAction

Static JSON value sent as the complete downstream input when the routine fires. The value is passed through as-is; no templating is applied.

session_id string

An optional existing hosted-agent session identifier to continue during the downstream dispatch.

created_at integer
updated_at integer

Client error

主體

Content-Type: application/json
error OpenAI.Error 必要
code string | null 必要
message string 必要
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
以下任何一項:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string 必要

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

主體

Content-Type: application/json
error OpenAI.Error 必要
code string | null 必要
message string 必要
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
以下任何一項:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string 必要

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Request

POST /routines/{routine_name}:enable HTTP/1.1

回應

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
zh-tw
您的隱私權選擇
  • AI 免責聲明
  • 舊版本
  • 部落格
  • 參與
  • 隱私權
  • 消費者健康隱私
  • 使用規定
  • 商標
  • © Microsoft 2026